LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   RH 8.0 problem with phpmyadmin (http://www.linuxquestions.org/questions/linux-software-2/rh-8-0-problem-with-phpmyadmin-35907/)

guanyu 11-19-2002 06:09 PM

RH 8.0 problem with phpmyadmin
 
Hey guys,
I am having problem with phpmadmin. I have no clue what was going on? I have used phpmyadmin under Rh7,7.1,7.2 and 7.3 and it's worked fine for me. But under RH8.0, it couldn't load mysql extension. This weird man!! any clue?


Guan

g0dzuki99 11-19-2002 06:46 PM

did you install php from RPM or source with '--with-mysql'?

~g0dzuki


Guan Yu from R3K?

guanyu 11-19-2002 07:34 PM

g0dzuki99,
I installed it together with RH8.0. What's the problem? Do I need to compile it?. What is R3K?..thanks for replying....

g0dzuki99 11-19-2002 07:55 PM

For some reason the RPM installation doesnt install the mySQL extensions. You'll want to uninstall the package and reinstall from source with the option i mentioned above.

R3K is Romance of The Three Kingdoms... a book (and SNES game) about early China, Guan Yu is a char. in it.... thought maybe thats where you got the name from.

~g0dzuki

guanyu 11-19-2002 09:37 PM

g0dzuki99,
Ohh..ic. Because last time, I had installed it together with RH 7.0,7.1,7.2 and 7.3. It's worked perfect and did not cause any problem like this b4. So I assume it work fine under RH 8.0 too. I'm going to try out ur suggestion. By the way, do you know the command how to compile it? ./configure -- prefix??..I am not sure about it. Ya my name is come from Romance of The Three Kingdoms. I played the games since I was 13 years old(13 years ago). hehehe. Thank Again

:P Guan

guanyu 11-19-2002 10:35 PM

g0dzuki99,
here is my compile error. do you know what's wrong with that?
./configure --with-mysql=/usr/bin/mysql
creating cache ./config.cache
checking for Cygwin environment... no
checking for mingw32 environment... no
checking host system type... i686-pc-linux-gnuoldld
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking whether to enable maintainer-specific portions of Makefiles... no
Updated php_version.h
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH

Thanks
Guan

markgard 04-03-2003 09:02 PM

no cc?
 
You havn't installed the development packages to compile programs. I sugest to use the package manager in RH8 or RH9 and it usually compiles.


All times are GMT -5. The time now is 10:09 PM.